"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-39/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B49AF0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B49B80>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B49C10>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B49CA0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B49D30>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B49DC0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B49E50>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B49EE0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B49F70>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B51040>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B510D0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B51160>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B511F0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B51280>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B51310>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B513A0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B51430>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B514C0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B51550>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B515E0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B51670>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B51700>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B51790>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B51820>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B51940>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B518B0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B519D0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B51A60>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B51AF0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B51B80>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B51C10>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B51CA0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B51D30>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B51DC0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B51E50>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B51EE0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B51F70>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B54040>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B540D0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B54160>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B541F0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B54280>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B54310>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B543A0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B54430>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B544C0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B54550>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B545E0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B54670>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B54700>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B54790>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B54820>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B548B0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B54940>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B549D0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B54A60>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B54AF0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B54B80>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B54C10>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B54CA0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B54D30>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B54DC0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B54E50>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B54EE0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B54F70>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B57160>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B57040>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B571F0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B57280>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B57310>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B573A0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B57430>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B57550>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B574C0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B575E0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B57670>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B57700>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B57820>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B57790>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B578B0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B57940>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B579D0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B57A60>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B57AF0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x0000020715B57B80>)]
name: str = 'fr_HOCCN'
